Apple’s Leopard rejects latest version of Java

Forum overlords delete developer gripes

Apple faces yet more flack from the Mac faithful over the discovery that the operating system won’t run the latest version of Java. It’s one of several beefs relating to the OS X upgrade that is sparking vitriol among the normally docile crowd.

Leopard may have 300 new features, but it is unable to run Java 1.6, even though that same version is available for both Windows and Linux. That has taken some Mac users by surprise, including some on this user forum on Apple’s website. Several users there say 1.6 is so central to the development work they do on a daily basis that they will be forced to use an OS other than Leopard if it remains incompatible.

“This is a show stopper for me, and I will have to revert to 10.4, since my job as a software engineer for Sun requires Java 6–this will likely prevent a lot of people from upgrading, and there’s a well represented Mac userbase at Sun,” a user going by the name buckmelter wrote. 10.4 is a reference to Tiger, the OS X predecessor to Leopard.

http://www.regdeveloper.co.uk/2007/10/29/no_java_for_leopard/

Leave a Reply